@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,800&display=swap');


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  font-family: 'poppins', sans-serif;
  font-weight: 400;
}

html {
  font-size: 62.5%;
}

.section-heading {
  font-size: 6rem;
  font-weight: 900;
  color: black;
  text-align: center;
  text-transform: capitalize;
  letter-spacing: 0.5rem;
  text-shadow: 0.3rem 0.3rem 0.3rem #000;
}


/*----------------- Navbar ---------------------*/
.navbar {
  width: 100%;
  height: 14rem;
  background-color: #000;
  position: fixed;
  top: -14rem;
  z-index: 150;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0.2rem 0.2rem 0.2rem #000;
  /* text-align: center; */
  transition: top 0.4s;
}

.navbar.change {
  top: 0;
  transition: top 0.4s 0.2s;
}

.navbar-link {
  color: #aaa;
  margin: 0 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* position: relative; */
  opacity: 0;
  transition: color 0.3, opacity, 2s;
}


.navbar-link {
  color: #aaa;
  margin: 0 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* position: relative; */
  opacity: 0;
  transition: color 0.3, opacity, 2s;
}



nav img{
  border-radius: 50%;
  
}

.change .navbar-link {
  opacity: 1;
}

.change .navbar-link:nth-child(1) {
  transition: opacity 0.4s 0.5s, color 0.3s;
}

.change .navbar-link:nth-child(2) {
  transition: opacity 0.4s 0.6s, color 0.3s;
}

.change .navbar-link:nth-child(3) {
  transition: opacity 0.4s 0.7s, color 0.3s;
}

.change .navbar-link:nth-child(4) {
  transition: opacity 0.4s 0.8s, color 0.3s;
}

.change .navbar-link:nth-child(5) {
  transition: opacity 0.4s 0.9s, color 0.3s;
}

.navbar-link:hover {
  color:green;
}

.navbar-link i {
  font-size: 7rem;
}

.navbar-link span {
  font-size: 2.5rem;
  font-weight: 900;
  letter-spacing: 0.5rem;
  margin-top: 0.5rem;
}

.menu {
  width: 4rem;
  height: 6rem;
  background-color: #000;
  position: fixed;
  top: 1rem;
  left: 5rem;
  border-radius: 30rem 30rem 15rem 15rem;
  box-shadow: 0.1rem 0.1rem 0.1rem #000, -0.1rem -0.1rem 0.1rem #000;
  cursor: pointer;
  z-index: 100;
  transition: top 0.4s 0.2s;
}

.menu.change {
  top: 15rem;
  transition: top 0.4s;
}

.menu::before {
  content: "";
  width: 0.3rem;
  height: 15rem;
  background-color: #000;
  position: absolute;
  top: -15rem;
  left: calc(50% - 0.15rem);
  box-shadow: 0.1rem 0rem 0.1rem #000;
  /* transition: all 0.4s; */
}

/* End of Navbar */

/*---------------- landing section---------------------------- */
.section-1 {
  width: 100%;
  height: 100vh;
  background-color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.section-1-icons i {
  font-size: 18rem;
  color: rgb(39, 223, 39);
  position: absolute;
  transform: translate(-50%, -50%) scale(0);
  text-shadow: 0.2rem 0.2rem 0.2rem #000;
  transition: transform 0.3s;
}

.section-1-icons i.change {
  transform: translate(-50%, -50%) scale(1);
  transition: transform 0.3s 0.3s;
}
/* End of Section 1 */


/*.................. Garlay recipes 3 .............................*/
.section-3 {
  background-color: #333;
  padding: 4rem 0;
}
.section-3 h1 {
  color: white;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
  margin-top: 10rem;
}

.gallery-link {
  position: relative;
  margin: 4rem 1rem;
}

.gallery-link::before {
  content: "";
  position: absolute;
  top: 2vw;
  left: 80%;
  width: 0.2rem;
  height: 0;
  background-color: #fff;
  z-index: 10;
  transition: height 0.5s;
}

.gallery-link::after {
  content: "";
  position: absolute;
  top: 30%;
  left: 2rem;
  width: 0;
  height: 0.2rem;
  background-color: #fff;
  transition: width 0.5s;
}

.gallery-link:hover::before {
  height: 80%;
}

.gallery-link:hover::after {
  width: 90%;
}

.food-img {
  width: 24vw;
  height: 15vw;
  object-fit: cover;
  box-shadow: 0.3rem 0.3rem 0.1rem #1e5306, 0.5rem 0.5rem 0.1rem #4e7a13,
    0.7rem 0.7rem 0.1rem #4d992a, 0.9rem 0.9rem 0.1rem #9fe269;
  transition: all 0.5s;
}

.gallery-link:hover .food-img {
  box-shadow: 0.3rem 0.3rem 0.1rem #1e5306, 0.5rem 0.5rem 0.1rem #4e7a13,
  0.7rem 0.7rem 0.1rem #4d992a, 0.9rem 0.9rem 0.1rem #9fe269;
  transform: scale(1.1);
  filter: blur(0.5rem);
  opacity: 0.5;
}

.food-name {
  position: absolute;
  top: 3rem;
  left: 3rem;
  font-size: 2rem;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  color: #fff;
  width: 0;
  overflow: hidden;
  transition: width 0.3s;
}

.gallery-link:hover .food-name {
  width: 100%;
  transition: width 1.5s 0.5s;
}

.food-description {
  position: absolute;
  bottom: 3vw;
  left: 2rem;
  width: 70%;
  font-size: 1.5rem;
  font-weight: 300;
  letter-spacing: 0.1rem;
  text-transform: uppercase;
  color: #fff;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s;
}

.gallery-link:hover .food-description {
  opacity: 1;
  visibility: visible;
  transition: opacity 1s 1s;
}
/* End of Section 3 */

/* Section 4 */

.section-4 {
  width: 100%;
  height: 12vh;
  background-color: #222;
  display: flex;
  justify-content: space-around;
  position: relative;
  align-items: flex-start;
}



.copyright {
  position: absolute;
  bottom: 3rem;
  font-size: 1.7rem;
  font-weight: 200;
  color: #eee;
  letter-spacing: 0.1rem;
  border-top: 0.1rem solid #888;
  padding-top: 6rem;
  width: 100%;
  text-align: center;
}


/* Responsive */
@media (max-width: 1400px) {
  html {
    font-size: 50%;
  }

  .section-2 {
    height: auto;
  }

  .cards-container {
    margin-top: 10rem;
  }

  .gallery-link {
    width: 40rem;
    height: 25rem;
    margin: 5rem;
  }

  .food-img {
    width: 100%;
    height: 100%;
  }
}

@media (max-width: 1000px) {
  .section-heading {
    font-size: 9rem;
    margin: 0 5rem;
  }

  .section-1-icons i {
    font-size: 25rem;
  }

  .cards-container {
    flex-wrap: wrap;
  }

  .card {
    margin: 5rem;
  }

  .section-4 {
    height: 30rem;
  }
}

@media (max-width: 900px) {
  .navbar-link {
    margin: 2rem;
  }

  .navbar-link i {
    font-size: 4rem;
  }

  .navbar-link span {
    font-size: 2rem;
  }
}

@media (max-width: 700px) {
  .section-heading {
    font-size: 7rem;
    margin: 0 10rem;
  }

  .section-1-icons i {
    font-size: 20rem;
  }

  .menu {
    left: 2rem;
  }

  .section-4 {
    height: 40rem;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
  }

  .section-4-text {
    margin-bottom: 8rem;
  }
}

@media (max-width: 550px) {
  html {
    font-size: 40%;
  }

  .navbar-link {
    margin: 0 0.7rem;
  }
}
/* End of Responsive */
